Bug 4003 - running frysk.bindir.TestFhd scrambles tty
Summary: running frysk.bindir.TestFhd scrambles tty
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andrew Cagney
URL:
Keywords:
Depends on:
Blocks: 2246
  Show dependency treegraph
 
Reported: 2007-02-08 02:16 UTC by Andrew Cagney
Modified: 2007-03-21 20:27 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Cagney 2007-02-08 02:16:22 UTC
Running either of the jline tests in frysk.bindir.TestFhd results in a scrambled
tty vis:
  $ ./TestRunner frysk.bindir.TestFhd
  ...
  $  $  $
Comment 1 Andrew Cagney 2007-03-21 20:27:18 UTC
2007-02-22  Andrew Cagney  <cagney@redhat.com>

        * PseudoTerminal.java (RedirectStdio.reopen): Make native.
        * cni/PseudoTerminal.cxx (reopen): Implement; handle controlling
        terminal guff.
        * TestPseudoTerminal.java (testDevTty): Add.

Comment 2 Andrew Cagney 2007-03-21 20:27:33 UTC
Fixed ^^